# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Camera.hpp File Reference

`#include "vl/checks.hpp"`
`#include "vl/math3D.hpp"`
`#include "vl/Vector4.hpp"`
`#include "vl/RenderTarget.hpp"`
`#include "vl/Viewport.hpp"`
`#include "vl/Frustum.hpp"`
`#include "vl/Ray.hpp"`

## Classes
class | vl::Camera
| Represents a virtual camera defining, among other things, the point of view from which scenes can be rendered. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:50 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.